<?xml version="1.0" encoding="UTF-8"?>

<!--
  ~
  ~      Copyright (c) 2018-2025, lengleng All rights reserved.
  ~
  ~  Redistribution and use in source and binary forms, with or without
  ~  modification, are permitted provided that the following conditions are met:
  ~
  ~ Redistributions of source code must retain the above copyright notice,
  ~  this list of conditions and the following disclaimer.
  ~  Redistributions in binary form must reproduce the above copyright
  ~  notice, this list of conditions and the following disclaimer in the
  ~  documentation and/or other materials provided with the distribution.
  ~  Neither the name of the yifu4cloud.com developer nor the names of its
  ~  contributors may be used to endorse or promote products derived from
  ~  this software without specific prior written permission.
  ~  Author: lengleng (wangiegie@gmail.com)
  ~
  -->

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.yifu.cloud.plus.v1.yifu.admin.mapper.SysOutRelDictItemMapper">

	<resultMap id="sysOutRelDictItemMap" type="com.yifu.cloud.plus.v1.yifu.admin.api.entity.SysOutRelDictItem">
		<id property="id" column="id"/>
		<result property="dictType" column="dict_type"/>
		<result property="value" column="value"/>
		<result property="sysDictType" column="sys_dict_type"/>
		<result property="sysDictValue" column="sys_dict_value"/>
		<result property="clientId" column="client_id"/>
	</resultMap>
	<sql id="Base_Column_List">
                a.id,
                a.dict_type,
                a.value,
                a.sys_dict_type,
                a.sys_dict_value,
                a.client_id
    </sql>
	<sql id="sysOutRelDictItem_where">
		<if test="sysOutRelDictItem != null">
			<if test="sysOutRelDictItem.id != null">
				AND a.id = #{sysOutRelDictItem.id}
			</if>
			<if test="sysOutRelDictItem.dictType != null and sysOutRelDictItem.dictType.trim() != ''">
				AND a.dict_type = #{sysOutRelDictItem.dictType}
			</if>
			<if test="sysOutRelDictItem.value != null and sysOutRelDictItem.value.trim() != ''">
				AND a.value = #{sysOutRelDictItem.value}
			</if>
			<if test="sysOutRelDictItem.sysDictType != null">
				AND a.sys_dict_type = #{sysOutRelDictItem.sysDictType}
			</if>
			<if test="sysOutRelDictItem.sysDictValue != null">
				AND a.sys_dict_value = #{sysOutRelDictItem.sysDictValue}
			</if>
			<if test="sysOutRelDictItem.clientId != null and sysOutRelDictItem.clientId.trim() != ''">
				AND a.client_id = #{sysOutRelDictItem.clientId}
			</if>
		</if>
	</sql>
</mapper>
